help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Emacs23.3: can't get w3m-el-snapshot to install to appropriate path


From: Herbert J. Skuhra
Subject: Re: Emacs23.3: can't get w3m-el-snapshot to install to appropriate path
Date: Wed, 23 Mar 2011 22:57:32 +0100
User-agent: Wanderlust/2.15.9 (Almost Unreal) SEMI/1.14.6 (Maruoka) FLIM/1.14.9 (Goj┼Ź) APEL/10.8 Emacs/23.3.50 (i686-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)

On Wed, 23 Mar 2011 13:19:21 -0700 (PDT)
Dylan <address@hidden> wrote:

>Hello,
>
>I recently tried installing emacs-w3m (development version) from
>source using the "./configure - make - make install" sequence.
>
>Since I have more than one emacs lisp directory installed (GNU emacs
>21 in directory /usr/share/emacs, GNU emacs 23 directory in /opt/local/
>share/emacs/, and Cocoa Emacs in /Applications/Emacs.app/Contents), I
>explicitly configured file using --with-addpath option, such that "./
>configure --with-addpath=/Applications/Emacs.app/Contents".
>
>However, upon verifying the install with "make what-where", make only
>wants to install in the path where emacs21 is installed (/usr/share/
>emacs). To work around this, I tried removing emacs 21 completely,
>running make again, and this time it recognized /opt/local/share/emacs
>as the install path. Am I missing something here? How can I get make
>to recognize and install to the Cocoa Emacs directory?

Hmm, have you tried:

./configure --emacs=/full/path/bin/emacs

-Herbert



reply via email to

[Prev in Thread] Current Thread [Next in Thread]